Summary: A new text editor for the console
Name:    cwrite
Version: 0.1.24
Release: 1%{?dist}
License: GPLv3+
Group:   Applications/Editors
URL:     http://cwrite-editor.hoter.ru
Source:  http://file047p.mylivepage.com/chunk47/1204371/988/%{name}-%{version}.tar.gz
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:   texinfo, ncurses-devel, groff
Requires(post):  /sbin/install-info
Requires(preun): /sbin/install-info

%description
A new text editor for the console.
Provides processing of C/C++ source and preprocessor blocks.
Allows compact view of source and header files.
User-friendly interface.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR="%{buildroot}" install
rm -f %{buildroot}%{_infodir}/dir
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -p src/help.txt %{buildroot}%{_datadir}/%{name}
cp -p src/message.txt %{buildroot}%{_datadir}/%{name}


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :

%preun
if [ $1 -eq 0 ]; then
   /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%{_bindir}/*
%{_infodir}/%{name}.info.gz
%{_datadir}/%{name}/

#%clean
#rm -rf %{buildroot}

%changelog
* Mon Dec 31 2007 Desislav Georgiev <cwrite@mail.ru> - 0.1.24-1
- changlog correction
- description improved
* Mon Dec 10 2007 Desislav Georgiev <cwrite@mail.ru> - 0.1.23-1
- post section correction
- user directory debugging
